shishi_check_version(3)

NAME
shishi_check_version - API function

SYNOPSIS
#include <shishi.h>

const char * shishi_check_version(const char * req_version);

ARGUMENTS

const char * req_version
    Oldest acceptable version, or NULL.

DESCRIPTION
Checks that the installed library version is at least as recent as the one provided in req_version. The version string is formatted like "1.0.2".

Whenever NULL is passed to this function, the check is suppressed, but the library version is still returned.

RETURN VALUE
Returns the active library version, or NULL, should the running library be too old.

REPORTING BUGS
Report bugs to <bug-shishi@gnu.org>. GNU Shishi home page: http://www.gnu.org/software/shishi/ General help using GNU software: http://www.gnu.org/gethelp/

COPYRIGHT
Copyright © 2002-2022 Simon Josefsson.
Copying and distribution of this file, with or without modification, are permitted in any medium without royalty provided the copyright notice and this notice are preserved.

SEE ALSO
The full documentation for shishi is maintained as a Texinfo manual. If the info and shishi programs are properly installed at your site, the command

    info shishi

should give you access to the complete manual.